Bug 430711 - unable to run up2date
unable to run up2date
Status: CLOSED CURRENTRELEASE
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Web Site (Show other bugs)
rhn500
All Linux
low Severity low
: ---
: ---
Assigned To: Mike Orazi
Fanny Augustin
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-29 10:45 EST by Al Villarica
Modified: 2010-10-22 18:06 EDT (History)
1 user (show)

See Also:
Fixed In Version: 5.0.4.2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-31 14:33:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Al Villarica 2008-01-29 10:45:21 EST
Description of problem:

I get this error message every time I run up2date.

There was a fatal error communicating with the server.  The message was:
File Not Found: popt-1.8.2-32_nonptl.i386

Error Message:
    Invalid RPM package popt-1.8.2-32_nonptl.i386.rpm requested
Error Class Code: 17
Error Class Info: File not found.
Explanation: 
     An error has occurred while processing your request. If this problem
     persists please enter a bug report at bugzilla.redhat.com.
     If you choose to submit the bug report, please be sure to include
     details of what you were trying to do when this error occurred and
     details on how to reproduce this problem.

Version-Release number of selected component (if applicable):


How reproducible:

Always

Steps to Reproduce:
1. Run up2date
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Jeff Hillman 2008-01-30 11:52:58 EST
I believe this bug is also affecting the use of satellite-sync to the
rhel-i386-as-3 and rhel-i386-es-3 channels.  I am receiving the following error
when trying to sync those channels:

satellite-sync -c rhel-i386-as-3 -c rhel-i386-es-3
10:10:14 Red Hat Network Satellite - live synchronization
10:10:14    url: https://satellite.rhn.redhat.com
10:10:14    debug/output level: 1
10:10:15    db:  rhnsat/<password>@rhnsat
10:10:15
10:10:15 Retrieving / parsing channel-families data
10:10:15 channel-families data complete
10:10:18
10:10:18 Retrieving / parsing arches data
10:10:19 arches data complete
10:10:19
10:10:19 Retrieving / parsing additional arches data
10:10:19 additional arches data complete
10:10:19
10:10:19 Retrieving / parsing channel data
10:10:33    p = previously imported/synced channel
10:10:33    . = channel not yet imported/synced
10:10:33    base-channels:
10:10:33       p rhel-i386-as-3                           4861
10:10:33       p rhel-i386-es-3                           4880
10:10:33
10:10:33 Channel data complete
10:10:33
10:10:33 Retrieving / parsing blacklists data
10:10:34 blacklists data complete
10:10:34
10:10:34 Retrieving short package metadata (used for indexing)
10:10:34    Retrieving / parsing short package metadata: rhel-i386-as-3 (4861)
10:10:37    Retrieving / parsing short package metadata: rhel-i386-es-3 (4880)
10:10:40 Diffing package metadata (what's missing locally?): rhel-i386-as-3
            ________________________________________
Diffing:    ######################################## - complete
10:10:43 Diffing package metadata (what's missing locally?): rhel-i386-es-3
            ________________________________________
Diffing:    ######################################## - complete
10:10:43
10:10:43 Downloading rpm packages
10:10:43    Fetching any missing RPMs: rhel-i386-as-3 (10)
10:10:44       1/10 Extinct package:  popt-1.8.2-32_nonptl.i386.rpm
10:10:44       2/10 Extinct package:  python-2.2.3-6.6.i386.rpm
10:10:45       3/10 Extinct package:  python-devel-2.2.3-6.6.i386.rpm
10:10:45       4/10 Extinct package:  python-tools-2.2.3-6.6.i386.rpm
10:10:45       5/10 Extinct package:  rpm-4.2.3-32_nonptl.i386.rpm
10:10:45       6/10 Extinct package:  rpm-build-4.2.3-32_nonptl.i386.rpm
10:10:46       7/10 Extinct package:  rpm-devel-4.2.3-32_nonptl.i386.rpm
10:10:46       8/10 Extinct package:  rpm-libs-4.2.3-32_nonptl.i386.rpm
10:10:46       9/10 Extinct package:  rpm-python-4.2.3-32_nonptl.i386.rpm
10:10:47      10/10 Extinct package:  tkinter-2.2.3-6.6.i386.rpm
10:10:47    Fetching any missing RPMs: rhel-i386-es-3 (NONE MISSING)
10:10:47 Processing rpm packages complete
10:10:47 No handler for step srpms
10:10:47
10:10:47 Downloading package metadata
10:10:47    Retrieving / parsing *relevant* package metadata: rhel-i386-as-3 (523)
10:10:47    * WARNING: this may be a slow process.
            ________________________________________
Downloading:+++ sending log as an email +++

SYNC ERROR:

(Check logs/email for potentially more detail)


Error Message:
    No such package rhn-package-401691
Error Class Code: 3003
Error Class Info: Unable to retrieve package
Explanation:
     An error has occurred while processing your request. If this problem
     persists please enter a bug report at bugzilla.redhat.com.
     If you choose to submit the bug report, please be sure to include
     details of what you were trying to do when this error occurred and
     details on how to reproduce this problem.


Comment 3 Grant Gainey 2008-01-31 14:33:58 EST
Apparently, Something Odd happened in errata-push land.  After RHEL release
engineering did a repush, that RPM appears to have re-appeared in RHN/PROD, as
of 14:06 31-JAN.  Try again, should be fixed now.

Note You need to log in before you can comment on or make changes to this bug.